0

Would really like to try and get firefox running on older android device.

Have a Samsung Galaxy GT-I5700 which has an ARM V6 800mhz cpu, 250mb internal memory, 4GB SD and is running CyangenMod9 ICS for Spica(GT-I5700). Am working on getting native apps2sd working properly to try and free up some of that tiny internal memory. Have not really researched or tried anything regarding installing firefox but a similar question was asked here and thought would post my own q in order prevent bumping somebody elses thread! PlayStore say firefox is not compatible with my device yet on mozillas website there are older samsung phones that are listed but my exact model is not.

  • If you have exactly the same problem as that question, then this is considered a duplicate question. You might want to upvote that question instead, and wait for a GOOD answer there. – geffchang Aug 6 '13 at 18:58
  • I am asking for advice regarding how to from scratch. Other q has failed install. Other q op has higher spec phone certainly when comparing ram and so the necessary steps may be different for me compared to other q. – geezanansa Aug 6 '13 at 19:05
1

From the Firefox for Android page : Installation requires [...] 384MB of RAM. Your device has only 256MB. You can always try to install the nightly version, although it may be unstable. Or you can search on google for a stable firefox apk.

0

I am not sure if your RAM is enough for a current version of Firefox but...

Instead of Play, look for APK in f-droid or just install F-droid opensource repository from f-droid you have many old versions of Firefox, and other FF flavors; such as Fennec or IceCatMobile

Installing F-droid, the app will show you if a version is compatible with your device.

Another good alternative to Firefox is the FF flavor Waterfox but RAM is a problem

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.